# DescribeDiskCategory

## 1. 接口描述

本接口(DescribeDiskCategory)用于查询指定可用区支持的云硬盘类型列表，可按云盘类别进行过滤，用于创建云盘前的参数确认。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型     | 描述                                                                                                                       |
| ------------ | -- | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| zoneId       | 否  | String | 根据可用区ID筛选。                                                                                                               |
| diskCategory | 否  | String | <p>根据云硬盘种类筛选。</p><p>Basic NVMe SSD: 经济型 NVMe SSD。</p><p>Standard NVMe SSD: 标准型 NVMe SSD。</p><p>默认为Standard NVMe SSD。</p> |

## 3. 响应结果

| 参数名称            | 类型                                                                                                           | 描述                                                       |
| --------------- | ------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId       | String                                                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| categoryZoneSet | Array of [DescribeDiskCategoryItem](/api-reference/cn/compute/zec/datastructure.md#describediskcategoryitem) | 可用区支持的云盘类型。                                              |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询区域云硬盘支持的类型。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDiskCategory
<Common Request Params>

Request：
{
  "zoneId": "europe-central-1a"
}

Response:
{
  "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
  "response": {
    "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
    "categoryZoneSet": [
      {
        "zoneId": "europe-central-1a",
        "categorySet": [
          "Basic NVMe SSD"
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                       | 说明      |
| ------- | ------------------------- | ------- |
| 404     | INVALID\_ZONE\_NOT\_FOUND | 可用区不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/describediskcategory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
